<!DOCTYPE html>
<!--
The MIT License

Copyright 2019 Yassmine BOUDILI École Nationale des Sciences Géographiques.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
-->
<html xmlns=http://www.w3.org/1999/xhtml xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Colloque - Events</title>
        <meta charset="UTF-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        <meta th:replace="fragments/general :: headerfiles"/>
        <!-- Custom CSS -->
        <link type="text/css" th:href="@{/css/main.css}" rel="stylesheet" />
    </head>
    
    <body class="d-flex flex-column h-100">
    
        <header th:replace="fragments/general :: header"></header>
        
       	<div class="flex-shrink-0">
	       	<div class="container">
		       	<h1 class="mb-3">List of Events</h1>
		       	<div class="alert alert-secondary" role="alert">
				  <a href="/addEvent" class="alert-link"> Add new event </a>
				</div>
		        <table class="table">
		        	<thead>
			            <tr>
			                <th>Name</th>
			                <th>Theme</th>
			                <th>Date</th>
			                <th>Period</th>
			                <th>Max participants</th>
			                <th>Description</th>
			                <th>Organizer</th>
			                <th>Event type</th>
   			                <th></th>
			                <th></th>
			                <th></th>
			            </tr>
		            </thead>
		            <tbody>
       		            <tr th:each="event : ${events}">
			                <td th:text="${event.name}">Name</td>
			                <td th:text="${event.theme}">Theme</td>
			                <td th:text="${event.date}">Date</td>
			                <td th:text="${event.period}">Period</td>
			                <td th:text="${event.max_part}">Maximum participants</td>
			                <td th:text="${event.description}">Description</td>
			                <td th:text="${event.organizer}">Organizer</td>
			                <td th:text="${event.event_type}">Event type</td>
			                <!-- -------------------- edit icon cell ---------------------- -->     
			                <td> <a th:href="@{/editEvent/{id}(id=${event.num_event})}"> <span class="fa fa-pencil text-dark"></span> </a> </td>
   			                <!-- -------------------- delete icon cell ---------------------- --> 
   			                <td> 
			                	<a data-toggle="modal" data-target="#modal-warning" th:attr="data-target='#modal-warning'+${event.num_event}">
			                		 <span class="fa fa-trash text-dark"></span>
	                		 	</a>
	                		 	<!-- Popup for delete event confirmation -->
	                		 	<div class="modal modal-warning fade in" th:id="modal-warning+${event.num_event}" >
								    <div class="modal-dialog">
								        <div class="modal-content">
								            <div class="modal-header">
   								                <h4 class="modal-title">Delete Event</h4>
  								                <button type="button" class="close" data-dismiss="modal" aria-label="close"> <span aria-hidden="true">&times;</span> </button>
								            </div>
								            <div class="modal-body">
								                <h6> Are you sure you want to delete this event ? </h6>
								                <p class="font-weight-bold"> This will also delete all the participants to this event ! </p>
				   				            </div>
								            <div class="modal-footer">
								            	<button type="button" class="btn btn-secondary" data-dismiss="modal">NO</button>
									            <a th:href="@{/deleteEvent/{id}(id=${event.num_event})}" class="btn btn-danger active" role="button" aria-pressed="true">YES</a>
								            </div>
								        </div>
								    </div>
								</div>
               		 		</td>
               		 		<!-- -------------------- participants icon cell ---------------------- --> 
               		 		<td>
               		 			<a data-toggle="modal" data-target="#modal-list" th:attr="data-target='#modal-list'+${event.num_event}">
			                		 <span class="fa fa-list text-dark"></span>
	                		 	</a>
	                		 	<!-- Popup for a list of participants in the event -->
	                		 	<div class="modal fade in" th:id="modal-list+${event.num_event}" >
								    <div class="modal-dialog">
								        <div class="modal-content">
								            <div class="modal-header">
   								                <h4 class="modal-title">Participants</h4>
  								                <button type="button" class="close" data-dismiss="modal" aria-label="close"> <span aria-hidden="true">&times;</span> </button>
								            </div>
								            <div class="modal-body">
								                <h6> The participants in <span th:text="${event.name}">Event</span> :  </h6>
								                    <ul>
												       <li th:each="participant : ${event.participants}" >
												       		<span th:text="${participant.getFirst_name()}">First name</span> <span th:text="${participant.getLast_name()}">Last name</span>
												       </li>
												    </ul>
				   				            </div>
								            <div class="modal-footer">
								            	<button type="button" class="btn btn-secondary" data-dismiss="modal">OK</button>
								            </div> 
								        </div>
								    </div>
								</div>
               		 		</td>
			            </tr>
		            </tbody>
		        </table>
	       	</div>
       	</div>
     
        <footer th:replace="fragments/general :: footer"></footer>

    </body>
    
</html>